Eclipse Remote Application Platform

## org.eclipse.swt.custom
Class CTabItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.custom.CTabItem

All Implemented Interfaces:
  Adaptable

    public class CTabItem

extends Item

Instances of this class represent a selectable user interface object that represent a page in a notebook widget.

Styles:
  SWT.CLOSE
Events:
  (none)

IMPORTANT: This class is not intended to be subclassed.

Constructor Summary
`CTabItem(CTabFolder parent, int style)` Constructs a new instance of this class given its parent (which must be a `CTabFolder`) and a style value describing its behavior and appearance.
`CTabItem(CTabFolder parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `CTabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

Method Summary
`void` `dispose()` Disposes of the operating system resources associated with the receiver and all its descendents.

`

`<T> T`

`

`getAdapter(java.lang.Class<T> adapter)`
Implementation of the `Adaptable` interface.

`Rectangle` `getBounds()` Returns a rectangle describing the receiver's size and location relative to its parent.
`Control` `getControl()` Gets the control that is displayed in the content area of the tab item.
`Font` `getFont()` Returns the font that the receiver will use to paint textual information.
`CTabFolder` `getParent()` Returns the receiver's parent, which must be a `CTabFolder`.
`boolean` `getShowClose()` Returns `true` to indicate that the receiver's close button should be shown.
`java.lang.String` `getToolTipText()` Returns the receiver's tool tip text, or null if it has not been set.
`boolean` `isShowing()` Returns `true` if the item will be rendered in the visible area of the CTabFolder.
`void` `setControl(Control control)` Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.
`void` `setFont(Font font)` Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` `setShowClose(boolean close)` Sets to `true` to indicate that the receiver's close button should be shown.
`void` `setText(java.lang.String text)` Sets the receiver's text.
`void` `setToolTipText(java.lang.String toolTipText)` Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

Methods inherited from class org.eclipse.swt.widgets.Item
`getImage, getText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkSubclass, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CTabItem

    public CTabItem(CTabFolder parent,
                    int style)

  Constructs a new instance of this class given its parent (which must be a `CTabFolder`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

  Parameters:
    `parent` - a CTabFolder which will be the parent of the new instance (cannot be null)
    `style` - the style of control to construct
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the parent is null
    `SWTException` -
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  See Also:
    `SWT`, `Widget.getStyle()`

### CTabItem

    public CTabItem(CTabFolder parent,
                    int style,
                    int index)

  Constructs a new instance of this class given its parent (which must be a `CTabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

  Parameters:
    `parent` - a CTabFolder which will be the parent of the new instance (cannot be null)
    `style` - the style of control to construct
    `index` - the zero-relative index to store the receiver in its parent
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the parent is null
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the parent (inclusive)
    `SWTException` -
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  See Also:
    `SWT`, `Widget.getStyle()`

Method Detail

### getAdapter

    public <T> T getAdapter(java.lang.Class<T> adapter)

  Description copied from class: `Widget`
  Implementation of the `Adaptable` interface.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

  Specified by:
    `getAdapter` in interface `Adaptable`
  Overrides:
    `getAdapter` in class `Widget`
  Parameters:
    `adapter` - the lookup class
  Returns:
    an object that can be cast to the given class or `null` if there is no adapter associated with the given class.

### getParent

    public CTabFolder getParent()

  Returns the receiver's parent, which must be a `CTabFolder`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(java.lang.String text)

  Description copied from class: `Item`
  Sets the receiver's text.

  Overrides:
    `setText` in class `Item`
  Parameters:
    `text` - the new text

### setImage

    public void setImage(Image image)

  Description copied from class: `Item`
  Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

  Overrides:
    `setImage` in class `Item`
  Parameters:
    `image` - the image to display on the receiver (may be null)

### setFont

    public void setFont(Font font)

  Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Changing font works, but tab size is not adjusted accordingly.

  Parameters:
    `font` - the new font (or null)
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.0

### getFont

    public Font getFont()

  Returns the font that the receiver will use to paint textual information.

  Returns:
    the receiver's font
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.0

### getControl

    public Control getControl()

  Gets the control that is displayed in the content area of the tab item.

  Returns:
    the control
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setControl

    public void setControl(Control control)

  Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.

  Parameters:
    `control` - the new control (or null)
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the control has been disposed
    - ERROR_INVALID_PARENT - if the control is not in the same widget tree
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setToolTipText

    public void setToolTipText(java.lang.String toolTipText)

  Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

  Parameters:
    `toolTipText` - the new tool tip text (or null)
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getToolTipText

    public java.lang.String getToolTipText()

  Returns the receiver's tool tip text, or null if it has not been set.

  Returns:
    the receiver's tool tip text
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setShowClose

    public void setShowClose(boolean close)

  Sets to `true` to indicate that the receiver's close button should be shown. If the parent (CTabFolder) was created with SWT.CLOSE style, changing this value has no effect.

  Parameters:
    `close` - the new state of the close button
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.3

### getShowClose

    public boolean getShowClose()

  Returns `true` to indicate that the receiver's close button should be shown. Otherwise return `false`. The initial value is defined by the style (SWT.CLOSE) that was used to create the receiver.

  Returns:
    `true` if the close button should be shown
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.3

### isShowing

    public boolean isShowing()

  Returns `true` if the item will be rendered in the visible area of the CTabFolder. Returns false otherwise.

  Returns:
    `true` if the item will be rendered in the visible area of the CTabFolder. Returns false otherwise.
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.0

### getBounds

    public Rectangle getBounds()

  Returns a rectangle describing the receiver's size and location relative to its parent.

  Returns:
    the receiver's bounding column rectangle
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### dispose

    public void dispose()

  Description copied from class: `Widget`
  Disposes of the operating system resources associated with the receiver and all its descendents. After this method has been invoked, the receiver and all descendents will answer `true` when sent the message `isDisposed()`. Any internal connections between the widgets in the tree will have been removed to facilitate garbage collection.

  NOTE: This method is not called recursively on the descendents of the receiver. This means that, widget implementers can not detect when a widget is being disposed of by re-implementing this method, but should instead listen for the `Dispose` event.

  Overrides:
    `dispose` in class `Widget`
  See Also:
    `Widget.addDisposeListener(org.eclipse.swt.events.DisposeListener)`, `Widget.removeDisposeListener(org.eclipse.swt.events.DisposeListener)`, `Widget.checkWidget()`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0